List all Contact Lists
curl --request GET \
--url https://api.deliveryman.ai/api/v1/contacts/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.deliveryman.ai/api/v1/contacts/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.deliveryman.ai/api/v1/contacts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uid": "<string>",
"workspace_id": 123,
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"status": "<string>",
"source": "<string>",
"available_columns": "<unknown>",
"has_unsubscribe_column": true,
"unsubscribe_column_name": "<string>"
}
],
"total": 1
}{
"message": "<string>"
}{
"message": "<string>"
}Contact List
List all Contact Lists
Retrieves all contact lists in this user account. If workspace_id query parameter is provided, only fetches lists from that workspace.
GET
/
api
/
v1
/
contacts
/
List all Contact Lists
Authorizations
Enter your API key in the format: X-Api-Key <your_key>
Query Parameters
Maximum number of records to fetch in the current page. Must be between 1 and 100.
Required range:
1 <= x <= 100Number of records to skip before fetching the results.For example, an offset of 0 starts at the beginning, while an offset of 50 fetches records starting from the 51st. If offset is greater than number of records available, results will be empty.
Required range:
x >= 0Fetch contact lists from this workspace only.